VistaControlador

## Class ControladorBarra

- java.lang.Object
- - VistaControlador.ControladorBarra

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class ControladorBarra
    extends java.lang.Object
    implements java.awt.event.ActionListener

### Constructor Summary

Constructors
Constructor and Description
`ControladorBarra(BarraOpciones barra, Menu menu)` Constructor del controlador

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actionPerformed(java.awt.event.ActionEvent e)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ControladorBarra

    public ControladorBarra(BarraOpciones barra,
                            Menu menu)

Constructor del controlador

Parameters:
  `barra` - barra que usara el controlador
  `menu` - menu en el que se encuentra la barra

### Method Detail

#### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

Specified by:
  `actionPerformed` in interface `java.awt.event.ActionListener`